std::expected::error(3)

NAME
std::expected::error - std::expected::error

Synopsis
   constexpr const E& error() const& noexcept; (1) (since C++23)
   constexpr E& error() & noexcept; (2) (since C++23)
   constexpr const E&& error() const&& noexcept; (3) (since C++23)
   constexpr E&& error() && noexcept; (4) (since C++23)
   Accesses the unexpected value contained in *this.
   The behavior is undefined if this->has_value() is true.

Parameters
   (none)

Return value
   Reference to the unexpected value contained in *this.

Example
    This section is incomplete
    Reason: no example

See also
   operator-> accesses the expected value
   operator* (public member function)
   value returns the expected value
                 (public member function)
   operator bool checks whether the object contains an expected value
   has_value (public member function)

Category:
     * Todo no example